from folkugat_web.model import IndexedList, playlists
from folkugat_web.model import temes as model

TEMES = [
    # ---
    model.Tema(
        title="El Joan Petit",
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Pasdoble de Muntanya (Cançó amb el nom molt llarg)",
        links=IndexedList([
            model.Link(
                id=0,
                content_type=model.ContentType.AUDIO,
                link_type=model.LinkType.SPOTIFY,
                url="https://open.spotify.com/track/4j9Krf19c5USmMvVUCoeWa?si=3023d1d83f814886",
                title="Versió de l'Orquestrina Trama",
            ),
        ]),
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Astrid Waltz",
        alternatives=["vals"],
        links=IndexedList([
            model.Link(
                id=0,
                content_type=model.ContentType.OTHER,
                link_type=None,
                url="https://marc.sastre.cat/folkugat",
            )
        ]),
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Ook Pik Waltz",
        alternatives=["vals"],
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Pasdoble Patumaire",
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="El Gitano",
        links=IndexedList([
            model.Link(
                id=0,
                content_type=model.ContentType.PARTITURA,
                link_type=model.LinkType.PDF,
                url="/db/temes/1/tema.pdf",
            )
        ]),
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Pasdoble de Gitanes",
        alternatives=["entrada"],
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Jota Comunera",
        hidden=False,
    ).with_ngrams(),
    # ---
    model.Tema(
        title="Malaguenya de Barxeta",
        lyrics=IndexedList([
            model.Lyrics(
                id=0,
                title="Malaguenya de Barxeta",
                content="""
Mira si he corregut terres
que he estat en Alfarrasí,
en Adzaneta i Albaida,
en el Palomar i ací.

Omplim el sarró de pa,
si vols que et guarde les cabres,
que les figues ja s'acaben
i raïm ja no hi ha.

L'altre dia jo somiava
que ja era realitat
un món sense violència
ple de pau i llibertat.

Vinc del cor de la Costera,
el poble dels socarrats,
d'allà on renaix de les cendres
el meu País Valencià.
            """.strip(),
            ),
        ]),
        properties=IndexedList([
            model.Property(
                id=0,
                field=model.PropertyField.AUTOR,
                value="Pep Jimeno 'Botifarra'"
            )
        ]),
        hidden=False,
    ).with_ngrams(),
]

PLAYLIST_ENTRIES = [
    playlists.PlaylistEntry(0, 2, 0, 1),
    playlists.PlaylistEntry(1, 2, 0, 2),
    playlists.PlaylistEntry(2, 2, 1, 3),
    playlists.PlaylistEntry(3, 2, 2, 4),
    playlists.PlaylistEntry(4, 2, 2, 5),
    playlists.PlaylistEntry(5, 2, 2, 6),
    playlists.PlaylistEntry(6, 2, 3, 7),
    playlists.PlaylistEntry(7, 2, 4, 8),
]

PLAYLIST = playlists.Playlist.from_playlist_entries(
    session_id=2,
    entries=PLAYLIST_ENTRIES,
)
